javax.xml.registry.infomodel

## Interface LocalizedString

-     public interface LocalizedString

  This interface is used as a simple wrapper interface that associates a String with its Locale. The interface is needed in the InternationalString interface where a Collection of LocalizedString instances are kept. Each LocalizedString instance has a Locale and a String instance.
  Author:
    Farrukh S. Najmi
  See Also:
    `InternationalString`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CHARSET_NAME` The default name returned by getCharsetName if no other name has explicitly been set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharsetName()` Gets the canonical name for the charset for this object.
    `Locale` | `getLocale()` Get the Locale for this object.
    `String` | `getValue()` Get the String value for this object.
    `void` | `setCharsetName(String charsetName)` Set the canonical name for the charset for this object.
    `void` | `setLocale(Locale locale)` Set the Locale for this object.
    `void` | `setValue(String value)` Set the String value for the specified object.

- - ### Field Detail

    - #### DEFAULT_CHARSET_NAME

          static final String DEFAULT_CHARSET_NAME

      The default name returned by getCharsetName if no other name has explicitly been set.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCharsetName

          String getCharsetName()
                                throws JAXRException

      Gets the canonical name for the charset for this object. Must return the default charset when there is no charset name defined.

      Capability Level: 0
      Returns:
        the character set name for the character set used by this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `DEFAULT_CHARSET_NAME`

    - #### getLocale

          Locale getLocale()
                           throws JAXRException

      Get the Locale for this object. Must return the default Locale when no Locale has been defined.

      Capability Level: 0
      Returns:
        the Locale used by this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `Locale.getDefault()`

    - #### getValue

          String getValue()
                          throws JAXRException

      Get the String value for this object.

      Capability Level: 0
      Returns:
        the value defined by this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setCharsetName

          void setCharsetName(String charsetName)
                              throws JAXRException

      Set the canonical name for the charset for this object.

      Capability Level: 0
      Parameters:
        `charsetName` - the character set name for the character set used by this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setLocale

          void setLocale(Locale locale)
                         throws JAXRException

      Set the Locale for this object.

      Capability Level: 0
      Parameters:
        `locale` - the Locale used by this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setValue

          void setValue(String value)
                        throws JAXRException

      Set the String value for the specified object.

      Capability Level: 0
      Parameters:
        `value` - the value defined by this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.